Subject: Normative reference updates

From: "Lisa Dusseault" <[email-masked]>
Date: Sun, 2 Feb 2003 20:28:58 -0800

I just noticed that since RFC2518, a bunch of WebDAV's normative
references have themselves been updated, not just HTTP 1.1.

HTTP: RFC2068 --> RFC2616
I'm pretty sure this one's OK - I've looked at 2616 pretty thoroughly
and never noticed anything that WebDAV wasn't compliant with.

Language identification: RFC1766 obsoleted by two documents
 - RFC3066, "Best Current Practice" 
 - RFC3282, Draft Standard
 - Which of these two -- or both -- does RFC2518bis need to make
normative reference to? Informational reference?  Are there any changes
which would require changes in WebDAV?

REC-XML 
 - http://www.w3.org/TR/1998/REC-xml-19980210 was updated to
http://www.w3.org/TR/2000/REC-xml-20001006
 - Any changes required to WebDAV?

Digest Auth, RFC2069 --> RFC2617
 - Any changes required?

ISO-* -- I don't know

These normative references have not changed their status:
URN Syntax, RFC2141 - still proposed standard
UTF8, RFC2279 - still draft standard
Charset, RFC2277 -- still best current practice
Compliance keywords, RFC2199 -- still Best Current Practice
URI, RFC2396 -- still Draft standard

That means three new normative references definitely need to be reviewed
to make sure we're staying compliant.  Any volunteers for any of them?
Anybody know about the ISO standards?

Lisa

---

From: "Julian Reschke" <[email-masked]>
Date: Mon, 3 Feb 2003 13:33:38 +0100

> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Lisa Dusseault
> Sent: Monday, February 03, 2003 5:29 AM
> To: Webdav WG
> Subject: Normative reference updates
>
>
>
>
> ...

I think the best change would be just to remove the sentence with these
references (it's part of XML's language handling, we don't need to repeat
that information).

>  - Any changes required to WebDAV?

No.

> ...

ISO-8601: we need that for the date format -- AFAIR, we had planned drop our
own definition anyway, and to use a specific subset that happens to be the
same (was that an IETF or a W3C spec?)

ISO-639: see RFC1766

> ..

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760